<?php

namespace backend\traits;

/**
 * =====================================================================================================================
 * Трейт, созданный потому что в админке при нескольких языках в SEO блоке языки выбирались не сортированными,
 * и получалась ситуация, когда в основном блоке информация записывалась в УКР, а в SEO был английский блок
 *
 * @see https://artweb.worksection.ua/project/217415/7120237/
 * Прикрепил фото для наглядности
 * =====================================================================================================================
 */


use artbox\core\models\Alias;
use artbox\core\models\traits\AliasableTrait as CoreTrait;


trait AliasableTrait
{


	use CoreTrait {
		CoreTrait::getAliases as coreGetAliases;
	}

	public function getAliases()
	{
		return $this->hasMany(Alias::className(), ['route' => 'route'])->orderBy(['id' => SORT_ASC]);
	}

}

