<?php
    /**
     * @var \common\models\Gallery[] $images;
     */
    use artbox\core\helpers\ImageHelper;
    use frontend\assets\GalleryAsset;
    
    $this->params[ 'breadcrumbs' ][] = \Yii::t('app', 'Gallery');
    GalleryAsset::register($this);
    ?>




<div id="content">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="my-gallery" itemscope itemtype="http://schema.org/ImageGallery">
                    <?php foreach ($images as $gallery){?>


                    <figure class="reviews_gallery gallery_txt">

                        <a href="<?=$gallery->image->getUrl()?>" itemprop="contentUrl"
                           data-size="<?= getimagesize( $gallery->image->getPath())[ 0 ] ?>x
                           <?= getimagesize($gallery->image->getPath()
                                                                                                                    )[ 1 ] ?>">
                            <figcaption class="image_figcapture figcaption_h_40px"
                            > <?= $gallery->language->title; ?></figcaption>
                            <img src="<?= ImageHelper::set($gallery->image->getPath())
                                                     ->cropResize(360, 216)
                                                     ->quality(82)
                                                     ->render(
                                                     ) ?>" itemprop="thumbnail" alt="<?=$gallery->title?>"/>
                        </a>
                    </figure>
                    <?php }?>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="pswp" tabindex="-1" role="dialog" aria-hidden="true">
    
    <div class="pswp__bg"></div>
    
    <div class="pswp__scroll-wrap">
        
        <div class="pswp__container">
            <div class="pswp__item"></div>
            <div class="pswp__item"></div>
            <div class="pswp__item"></div>
        </div>
        
        <div class="pswp__ui pswp__ui--hidden">
            <div class="pswp__top-bar">
                
                <div class="pswp__counter"></div>
                <button class="pswp__button pswp__button--close" title="Close (Esc)"></button>
                <button class="pswp__button pswp__button--share" title="Share"></button>
                <button class="pswp__button pswp__button--fs" title="Toggle fullscreen"></button>
                <button class="pswp__button pswp__button--zoom" title="Zoom in/out"></button>
                
                
                <div class="pswp__preloader">
                    <div class="pswp__preloader__icn">
                        <div class="pswp__preloader__cut">
                            <div class="pswp__preloader__donut"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="pswp__share-modal pswp__share-modal--hidden pswp__single-tap">
                <div class="pswp__share-tooltip"></div>
            </div>
            <button class="pswp__button pswp__button--arrow--left" title="Previous (arrow left)">
            </button>
            <button class="pswp__button pswp__button--arrow--right" title="Next (arrow right)">
            </button>
            <div class="pswp__caption">
                <div class="pswp__caption__center"></div>
            </div>
        </div>
    </div>
</div>

